import type { KeyType, PromiseType, UseInfiniteDataLoaderConfig, UseInfiniteDataLoaderResult } from './types';
/**
 * This hook can be used for promises that have a "Load More" so page change but we want to keep the previous data and append the next one
 */
export declare const useInfiniteDataLoader: <ResultType = unknown, ErrorType extends Error = Error, ParamsType extends Record<string, unknown> = Record<string, unknown>, ParamsPageKey extends keyof ParamsType = keyof ParamsType>(baseKey: KeyType, method: (params: ParamsType) => PromiseType<ResultType>, baseParams: ParamsType, pageParamKey: ParamsPageKey, config?: UseInfiniteDataLoaderConfig<ResultType, ErrorType, ParamsType, ParamsPageKey>) => UseInfiniteDataLoaderResult<ResultType, ErrorType>;
